'use strict';

var CustoObraController = angular.module('CustoObraController', []);

CustoObraController.controller('CustoObraCtrl', ['$scope', '$filter', 'Relatorio', 'CacheApp',
  ($scope, $filter, Relatorio, CacheApp) => {
    $scope.construcao = CacheApp.getConstrucao();

    $scope.relatorio = {};
    $scope.relatorio.DataInicio = CacheApp.getData($scope.construcao.DataInicio ? $filter("date")($scope.construcao.DataInicio, 'yyyy-MM-ddT00:00:00Z') : $filter("date")(Date.now(), 'yyyy-MM-ddT00:00:00Z'));
    $scope.relatorio.DataFim = CacheApp.getData($scope.construcao.DataFim ? $filter("date")($scope.construcao.DataFim, 'yyyy-MM-ddT00:00:00Z') : $filter("date")(Date.now(), 'yyyy-MM-ddT00:00:00Z'));
    $scope.relatorio.OpcaoSelecionada = {Id: 6, Descricao: 'Todos'};

    $scope.Opcoes = [
        {Id: 6, Descricao: 'Todos'},
        {Id: 22, Descricao: 'Nota Fiscal'},
        {Id: 23, Descricao: 'Recibo'},
        {Id: 24, Descricao: 'Cupom Fiscal'}
    ];

    $scope.getRelatorioCustoObra = () => {
        $scope.planejado = {};
        Relatorio.getRelatorioCustoObra($scope.relatorio.OpcaoSelecionada.Id, $scope.construcao.Id, $filter("date")($scope.relatorio.DataInicio, 'yyyy-MM-dd'), $filter("date")($scope.relatorio.DataFim, 'yyyy-MM-dd'),
            (data) => {
                $scope.planejado = data.Instance;
            });
    }
    $scope.getRelatorioCustoObra();

    $scope.pdfCustoAnalitico = () => {
        var cabecalho = {
            Avatar: $scope.construcao.ContaAvatar,
            Obra: $scope.construcao.Titulo,
            Conta: $scope.construcao.Conta,
            DataInicio: $filter("date")($scope.relatorio.DataInicio, 'dd/MM/yyyy'),
            DataFim: $filter("date")($scope.relatorio.DataFim, 'dd/MM/yyyy'),
            Moeda: $scope.construcao.Moeda
        };

        Relatorio.pdfCustoAnalitico($scope.relatorio.OpcaoSelecionada.Id, $scope.construcao.Id, $filter("date")($scope.relatorio.DataInicio, 'yyyy-MM-dd'), $filter("date")($scope.relatorio.DataFim, 'yyyy-MM-dd'), cabecalho,
            (data) => {
                window.location.assign(data.Instance);
            });
    }

    $scope.xlsCustoAnalitico = () => {
        var cabecalho = {
            Avatar: $scope.construcao.ContaAvatar,
            Obra: $scope.construcao.Titulo,
            Conta: $scope.construcao.Conta,
            DataInicio: $filter("date")($scope.relatorio.DataInicio, 'dd/MM/yyyy'),
            DataFim: $filter("date")($scope.relatorio.DataFim, 'dd/MM/yyyy'),
            Moeda: $scope.construcao.Moeda
        };

        Relatorio.xlsCustoAnalitico($scope.relatorio.OpcaoSelecionada.Id, $scope.construcao.Id, $filter("date")($scope.relatorio.DataInicio, 'yyyy-MM-dd'), $filter("date")($scope.relatorio.DataFim, 'yyyy-MM-dd'), cabecalho,
            (data) => {
                window.location.assign(data.Instance);
            });
    }

  }]);
